Package: org.gradle.platform.base

## [Java] Interface BinaryTasksCollection

- java.util.Collection

- All Superinterfaces:
    DomainObjectSet, Iterable, DomainObjectCollection, Collection

  A collection of tasks associated to a binary

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `create(String name, Class<T> type, Action<? super T> config)`
    `Task` | `getBuild()` The 'lifecycle' task, that can be used to construct this binary.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface DomainObjectSet` | `findAll, matching, matching, withType`
    `interface DomainObjectCollection` | `all, all, findAll, matching, matching, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType, withType`
    `interface Set` | `add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll`

- - ### Method Detail

    - #### public void create(String name, Class<T> type, Action<? super T> config)

    - #### public Task getBuild()

      The 'lifecycle' task, that can be used to construct this binary.